#!/bin/csh
# Note: This script only works for csh
#
# This script sets the environmental variables
# Sets environmental variables needed to run FXC
#
# Author: Herb Grote

set stat="0"
# Determine if AWIPS is installed
# Only needed for FXC server!
if ( $?FXA_HOME ) then
	# Define variables for AWIPS D2D
	# Assume that if INFORMIXDIR is defined that
	# this script has been run before
	if ( !($?INFORMIXDIR) ) then
		if ( -f $FXA_HOME/readenv.csh) then
			source $FXA_HOME/readenv.csh
		endif
	endif
else
	echo " "
	echo "This machine cannot be an FXC server."
	echo "AWIPS code is not installed."
	echo " "
endif


if ( !($?FXA_LOCAL_SITE) ) then
     setenv FXA_LOCAL_SITE FSL
endif

echo "Using $FXA_LOCAL_SITE" localization as default


# Determine FXC home directory.
if ( -f fxcHome ) then
	set home=`cat fxcHome`
else if ( -d ../linux ) then
	set home=`pwd|sed 's/\/FXC\/fsl\/linux//'`
else
	echo "FXC home directory not defined"
endif

# Make sure the proper java is found 
if ( -f java ) then
	set found=true
else
	set JAVA=`which java`
	ln -s $JAVA java
endif

echo $home

setenv FXC_HOME $home/FXC

# Define Java CLASSPATH and PATH
setenv CLASSPATH .:$FXC_HOME/:$FXC_HOME/Netcdf2All.jar:$FXC_HOME/xstream-1.3.1.jar:$FXC_HOME/gif4j_light_1.0.jar:$FXC_HOME/jdbf.jar
# Note: classpath needs to include /jre/lib/ext/jai_imageio.jar for TIFF images !

setenv PATH $home/FXC/fsl/linux:$home/FXC/fsl/depict:$home/FXC/fsl/model:$home/FXC/fsl/net:$home/FXC/fsl/support:$home/:$PATH} 

