:: -------------------------------------
:: FXCinstall
::
::   This script performs the following:
::   - Unzips FXC code (fxcCode & fxcExport) 
::   - Sets up FXC environment file
::   - Creates menu file
::   - Updates Hosts.txt with server and ip
::   - Installs maps and localization data
::
:: To create a GTAS download file:
:: 1) Create new zip file with FXCinstall.bat
::    Note: Disable "Full Path" on WinZip
:: 2) Add fxcUnzip.zip, fxcCode.zip, and
::    fxcExportXXX.zip using WinZip "Add"
:: 3) Drag jre1_5_0_09 directory into WinZip
:: 4) Create .exe (self-extracting) file
::    Note: Specify "." for destination directory
::
:: Author: Herb Grote 9/11/07
::--------------------------------------
::
   @echo off

:: Static variables
   set jdk1=jre-1_5_0_09-windows-i586-p.exe
:: Multiple jdks (check run-FXCollaborate)
   set jdk2=jre-1_5_0_09
   set javaHome=c:\jre-1_5_0_09\bin\

:: Save current directory location
   echo cd %cd% > c:\todesktop.bat 

   echo Starting FXC installation

:: Check if "add" parameter was specified
   if not exist c:\fxcHome.bat. (goto endif_2 .)
      if "%1"=="add" echo Add another localization
      if not "%1"=="add" (goto endif_2 .)
         echo Looking for localization files in this directory
         dir/b/s fxcExport*.zip > c:\fxclist.txt.
         call c:\fxcHome.bat
         cd FXC\fsl\windows
         if exist %javaHome%java.exe (
            set path=%javaHome%;%PATH%
            java -Dfxc.javaPath=%javaHome% FXCsetup
         ) else (
            java FXCsetup
         )
         goto menu
   :endif_2

:: Load Java development kit 
   if exist fxcCodeGTAS.zip (
      set jdk_code=%jdk2%
      set code=fxcCodeGTAS.zip
      set path=%javaHome%;%PATH%
      echo By installing this code you are consenting to 
      echo Sun Corporation's licensing agreement for Java
      pause
      echo Intalling Java ...
   ) else ( 
      set jdk_code=%jdk1%
      set code=fxcCode.zip
   )
   if not exist %jdk_code% (
      echo %jdk_code% not found 
      echo Stopping installation 
      pause
      exit
   )
:: The next cmd line is xcopy for GTAS
   start/w %jdk_code%
   if exist %jdk2%. (rmdir/S/Q %jdk2%.)

:: Unzip FXC files to c:\ (don't know final destination yet)
   move fxcUnzip.zip UnZip.class
   java UnZip %code% c:\ 
   del UnZip.class
   if exist %code%. (del%code%.) 

:: Exit if no localization files exist
   if not exist fxcExport*.zip. (goto locerr .)

:: Make a list of available localizations for FXCset.java
:: (either found on CD or local directory)
   dir/b/s fxcExport*.zip > c:\fxclist.txt.
   echo Found the following localization files:
   type c:\fxclist.txt

:: Start installation (user input)
   c:
   cd c:\FXC\fsl\windows
   echo Starting FXC setup
   if exist %javaHome%java.exe (
      set path=%javaHome%;%PATH%
      java -Dfxc.javaPath=%javaHome% FXCsetup
   ) else (
      java FXCsetup
   )
:: Release all links, windows, etc to FXC directory
   cd c:\

:: Move FXC code to desired location (directory)
   call c:\FXCMOVE.bat
   del c:\FXCMOVE.bat

:menu
:: Create the appropriate menu
   call c:\FXCMENU.bat %1
   del c:\FXCMENU.bat

:: Create desktop icon
   call c:\FXCICON.vbs
   del c:\FXCICON.vbs
   goto done

:locerr
:: Error-No localization files found
   echo No FXC localization files found

:done
:: Inform user that FXC has been loaded/updated
   echo Cleaning up unnecessary files
   if exist c:\fxclist.txt. (del c:\fxclist.txt.)
   if exist c:\FXCMOVE.bat. (del c:\FXCMOVE.bat.)
   if exist c:\FXCMENU.bat. (del c:\FXCMENU.bat.)
   if exist c:\FXCICON.vbs. (del c:\FXCICON.vbs.)

   call c:\todesktop.bat
   if exist fxcUnzip.zip. (del fxcUnzip.zip.)
   if exist fxcCodeGTAS.zip. (del fxcCodeGTAS.zip.)
   if exist fxcExportGTAS.zip. (del fxcExportGTAS.zip.)
   if exist %jdk2%. (rmdir/S/Q %jdk2%.)
   echo FXC installation complete
   pause
   if exist FXCinstall.bat. (del FXCinstall.bat.)
